"use client";
import { __require as u } from "./_arrayPush.js";
import { __require as F } from "./_isFlattenable.js";
var i, o;
function g() {
  if (o) return i;
  o = 1;
  var q = u(), b = F();
  function t(_, a, r, f, e) {
    var s = -1, l = _.length;
    for (r || (r = b), e || (e = []); ++s < l; ) {
      var n = _[s];
      a > 0 && r(n) ? a > 1 ? t(n, a - 1, r, f, e) : q(e, n) : f || (e[e.length] = n);
    }
    return e;
  }
  return i = t, i;
}
export {
  g as __require
};
